Bug 9725 - upgradeprovision and samba-tool dbcheck patches for 4.0.NEXT
upgradeprovision and samba-tool dbcheck patches for 4.0.NEXT
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.0.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 9740
  Show dependency treegraph
 
Reported: 2013-03-16 09:42 UTC by Andrew Bartlett
Modified: 2013-04-08 06:50 UTC (History)
1 user (show)

See Also:


Attachments
patches cherry-picked from master (2.40 MB, application/x-gzip)
2013-03-16 09:42 UTC, Andrew Bartlett
metze: review+
Details
patches cherry-picked from master, based on current v4-0-test plus other patches for 4.0 (2.40 MB, application/x-gzip)
2013-04-02 20:42 UTC, Andrew Bartlett
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2013-03-16 09:42:20 UTC
Created attachment 8654 [details]
patches cherry-picked from master

This is a massive patch of all the samba-tool and upgradeprovision patches I worked on last month.  They need to be in 4.0.NEXT so that users don't damage their systems attempting to upgrade (and other associated and assorted fixes).
Comment 1 Andrew Bartlett 2013-03-18 21:13:29 UTC
I have these patches in a branch, if that helps:

https://git.samba.org/abartlet/samba.git/?p=abartlet/samba.git/.git;a=shortlog;h=refs/heads/v4-0-fixes-for-bugzilla

This is on top of 

https://git.samba.org/abartlet/samba.git/?p=abartlet/samba.git/.git;a=shortlog;h=refs/heads/v4-0-fixes-in-bugzilla which is all the other patches for which I created separate bugzilla entries.
Comment 2 Andrew Bartlett 2013-04-01 22:24:17 UTC
Comment on attachment 8654 [details]
patches cherry-picked from master

Can I please get review on this, so we can get the dbcheck --fix-well-known-acls fix into 4.0.5?
Comment 3 Stefan Metzmacher 2013-04-02 06:54:42 UTC
Comment on attachment 8654 [details]
patches cherry-picked from master

Looks good
Comment 4 Karolin Seeger 2013-04-02 19:11:14 UTC
Applying the patch fails with:

kseeger@carrie:/data/git/samba/v4-0-test$ git am v4-0-fixes-for-bugzilla.patch
Applying: samba_upgradeprovision: Remove options to fix FS ACLs
Applying: scripting: Make tdb_copy use the python subprocess module
Applying: scripting: Make tdb_copy a common util function in samba.tdb_util
Applying: samba_upgradeprovision: Do not update privileges.ldb any more (unchanged since 2009)
Applying: samba_upgradeprovision: Use tdb_util.tdb_copy not shutil.copy2
Applying: dsdb-descriptor: Spell out security descriptor flags as constants
Applying: dsdb-descriptor: Avoid segfault copying an SD without an owner or group
Applying: build: Rename samba_python waf node to avoid duplicate name
Applying: build: Change bin/default/python -> bin/python symlink to bin/default/python_modules
Applying: Move python modules from source4/scripting/python/ to python/.
/data/git/samba/v4-0-test/.git/rebase-apply/patch:581: trailing whitespace.
#   
/data/git/samba/v4-0-test/.git/rebase-apply/patch:586: trailing whitespace.
#   
/data/git/samba/v4-0-test/.git/rebase-apply/patch:591: trailing whitespace.
#   
/data/git/samba/v4-0-test/.git/rebase-apply/patch:618: trailing whitespace.
#   
/data/git/samba/v4-0-test/.git/rebase-apply/patch:623: trailing whitespace.
#   
error: patch failed: source4/scripting/python/samba/tests/posixacl.py:1
error: source4/scripting/python/samba/tests/posixacl.py: patch does not apply
Patch failed at 0010 Move python modules from source4/scripting/python/ to python/.
Comment 5 Andrew Bartlett 2013-04-02 20:42:42 UTC
Created attachment 8711 [details]
patches cherry-picked from master, based on current v4-0-test plus other patches for 4.0

It was always going to be a challenge to land a patch series this large, when they include a rename of so many files.  Rebase handles it well (say off my branch I linked), but git am is not as forgiving. 

The attached patches are tested to apply to v4-0-test + the other patches I've submitted. 

The issue appears to have been that ee3ac648598f7de27dea565381faebb313dba471

Revert "Ensure the masks don't conflict with the ACL checks."

was included in v4-0-test when I didn't expect it to be. 

The attached patches are currently under a private autobuild to ensure there are no other issues.  I'll update the bug if anything comes up.
Comment 6 Andrew Bartlett 2013-04-03 06:16:21 UTC
autobuild:

samba: Completed OK
waiting for tail to flush
        Selected embedded Heimdal build
'clean' finished successfully (0.908s)
All OK
Cleaning up ....
All OK
Comment 7 Stefan Metzmacher 2013-04-03 06:20:09 UTC
Comment on attachment 8711 [details]
patches cherry-picked from master, based on current v4-0-test plus other patches for 4.0

Looks good
Comment 8 Karolin Seeger 2013-04-07 19:52:48 UTC
Pushed to autobuild-v4-0-test.
Comment 9 Karolin Seeger 2013-04-08 06:50:36 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!